<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Grafting](./bitburner.grafting.md) &gt; [getAugmentationGraftPrice](./bitburner.grafting.getaugmentationgraftprice.md)

## Grafting.getAugmentationGraftPrice() method

Retrieve the grafting cost of an aug.

**Signature:**

```typescript
getAugmentationGraftPrice(augName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  augName | string | Name of the aug to check the price of. Must be an exact match. |

**Returns:**

number

The cost required to graft the named augmentation.

## Exceptions

Will error if an invalid Augmentation name is provided.

## Remarks

RAM cost: 3.75 GB

